/**
 * Copyright 2012 Scott Weeden-Moody
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.lillicoder.newsblurry;

import android.content.Intent;
import android.os.Bundle;

/**
 * Routing activity that launches the proper home screen.
 * @author lillicoder
 */
public class StartupActivity extends BaseActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		// Launch the home activity.
		Intent home = this.getHomeActivityIntent();
		this.startActivity(home);
	}

	@Override
	protected void onInitializeChildReferences() {
		// No-op. This activity will have no UI.
	}

}