/**
 * Copyright 2012 Scott Weeden-Moody
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.lillicoder.newsblurry.exception;

/**
 * {@link Exception} that reflects invalid user credential information
 * was given to and/or used.
 * @author lillicoder
 */
public class InvalidUserCredentialsException extends Exception {

	/**
	 * Serialization ID.
	 */
	private static final long serialVersionUID = 8821698459429848647L;
	
	/**
	 * 
	 * Default Exception constructors.
	 * 
	 */
	public InvalidUserCredentialsException() {
		super();
	}
	
	public InvalidUserCredentialsException(String message) {
		super(message);
	}
	
	public InvalidUserCredentialsException(Throwable cause) {
		super(cause);
	}
	
	public InvalidUserCredentialsException(String message, Throwable cause) {
		super(message, cause);
	}

}
